OnlyFans API
FanslyUsers

Block User

Block a Fansly user for the authenticated Fansly Account.

POST
/api/fansly/{fanslyAccount}/users/{account_id}/block
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

account_id*string

The Fansly account ID to block.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/users/800000000000000002/block"
{
  "data": {
    "accountId": "800000000000000001",
    "ignoredId": "800000000000000002",
    "ignoreFlags": 2
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 100000,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}